Subject: Re: problem with git-cvsserver

From: aonghus <[email-masked]>
Date: Thu, 31 Aug 2006 13:04:52 +0100

Marco Roeland wrote:
> On Thursday August 31st 2006 at 08:29 uur Martin Langhoff wrote:
>
>   
>> [git-cvsserver and trouble with Perl DBI and SQLite]
>>
>> Actually, just looking at my etch dev box, libdbd-sqlite-perl is
>> 0.29-1 and sqlite is 2.8.16-1. Not sure if the difference is
>> significant. Perhaps SQLite v3 has a different invocation / driver
>> name?
>>     
>
> Yes, SQLite v2 and SQLite v3 are different and binary incompatible.
>
> However, on Debian 'etch' you can install packages for both versions
> concurrently; most packages for SQLite have either a '2' or a '3' in the
> name. Packages without the number use the "best current choice" which is
> "3" in 'etch' at the moment but was "2" not too long ago.
>
> So at this moment in Debian 'etch' SQLite3 is the default version and
> calling
>
>         my $dsn = 'dbi:SQLite:dbname=foo';
>
> will use the SQLite3 driver internally, for which you must have
> installed the "libdbd-sqlite3-perl" package. Just for the record, if
> you'd wanted the older SQLite2 version you would install the
> "libdbd-sqlite2-perl" package and from Perl call "my $dsn =
> 'dbi:SQLite2:dbname=foo';".
>
> I'd guess that you were unfortunate enough to just install some packages
> during the transition and now some parts look for the "2" version
> and other parts for the "3" version. Probably just installing the
> "libdbd-sqlite3-perl" package and upgrading the other sqlite packages
> (from synaptic say to easily find them!) will probably cure your situation.
>
> Incidentally I'd guess that in itself SQLite2 (so version 2) would also
> function perfectly well for git-cvsserver (as would PostgreSQL or
> MySQL), it's probably in this case just a slight version skew between
> packages!
>   

Hi,

Thanks for all the help- I have it working now. It was not a fault with 
git-cvsserver at all- more like my own stupidity. The problem was that I 
had checked the versions on my client machine and forgotten to update 
the cvs/git server! Once I updated it and installed the 
libdbd-sqlite3-perl package (on the server) everything works as expected.
 
So, just to confirm, git-cvsserver is working on a debian 
testing/unstable machine (acting cvs/git server) with the following 
versions:

    libdbd-sqlite3-perl (1.12-1)
    libdbi-perl (1.51-2)
    libsqlite3-0 (3.3.7-1)
    perl (5.8.8-6.1)
    perl-base (5.8.8-6.1)

Apologies for wasting your time, looks like my caffeine levels are 
getting dangerously low...

a